-- 2.0 Yellow
freeslot("SKINCOLOR_YELLOW20")
skincolors[SKINCOLOR_YELLOW20] = {
    name = "LegacyYellow2.0",
    ramp = {73,73,73,64,64,65,66,66,67,67,68,68,69,69,70,71},
    invcolor = SKINCOLOR_BLUE,
    invshade = 9,
    chatcolor = V_YELLOWMAP,
    accessible = true
}

--Old CA_FLOAT pre 2.2 recreation by GLide KS
local CA_OLD_FLOAT = 180

addHook("PlayerSpawn", function(player)
player.floatUsed = false
player.floatUsedOnce = false
end)

addHook("AbilitySpecial", function(player)
    if player.charability == CA_OLD_FLOAT and player.pflags & PF_JUMPED and not (player.pflags & PF_THOKKED) then
        player.pflags = $1 | PF_THOKKED
    end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.charability == CA_OLD_FLOAT then
			if player.pflags & PF_THOKKED and not player.floatUsedOnce then
				player.mo.momz = 0
				player.floatUsed = true
				if not (player.cmd.buttons & BT_JUMP)
					player.floatUsedOnce = true
				end
			end
			
			if P_IsObjectOnGround(player.mo) then
				player.floatUsedOnce = false
			end
		end
	end
end)